<template>
    <div class="flex justify-center">
        <div class="w-full mt-8 md:w-2/3 rounded-lg shadow-xl bg-white mb-5 mx-1">
            <form @submit.prevent="create">
                <div v-for="section,index of form.sections" :key="index"
                    class="flex">
                    <div class="w-full">
                        <h2 v-text="section.name" class="text-gray-500 block p-3 font-bold"></h2>
                        <div class="grid md:grid-cols-4">
                            <div v-for="input,index of section.rows[0].fields" :key="index" class=" mx-3 mb-7">
                                
                                <label :for="input.name" class="text-gray-500" v-text="input.name"></label>
                                
                                <select v-if="input.type == 'select'" 
                                    :id="input.name"
                                    v-model="input.initialValue"
                                    :placeholder="input.placeholder"
                                    class="w-full border rounded py-1 px-3">
                                    <option v-for="location of input.selectOptionsSource == 'locations' ? locations : countries" 
                                        :key="location.id"
                                        :value="location.id"
                                        v-text="location.name">
                                    </option>
                                </select>
                                
                                <input v-else :type="input.type" 
                                    :id="input.name" 
                                    v-model="input.initialValue" 
                                    :placeholder="input.placeholder"
                                    class="w-full border rounded py-1 px-3">
                            
                            </div>
                        </div>
                        
                        <hr v-show="index+1 !== form.sections.length">
                    </div>
                </div>
                <div class="w-full text-center py-4 mb-10">
                    <button type="submit" class="bg-purple-700 py-2 px-5 rounded text-white">Create New User</button>
                </div>
            </form>
        </div>
    </div>
</template>

<script>
import ui_data from '/API/ui-data.json'
export default {
    name: 'user-creator',
    props:[ 'config' ],
    
    data(){
        return{
            form: '',
            locations: [],
            countries: []
        }
    },
    watch:{
        'config'(val){
            this.form = val.form
        }
    },
    mounted(){
        this.locations = ui_data.locations;
        this.countries = ui_data.countries;
    }
}
</script>